> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/baseball/match-data/schedule-and-results-season-query.md).

# Schedule and Results - season query

## Schedule and Results - season query

> This interface returns the schedule and result data of the same season\<br/>Request times: 120 times/min\<br/>\<br/>Note: Get the full data of the match interface, this interface does not need to be obtained again

```json
{"openapi":"3.0.1","info":{"title":"Baseball API","version":"1.0.250818"},"tags":[{"name":"MATCH DATA","description":"MATCH DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/baseball/match/season":{"get":{"tags":["MATCH DATA"],"description":"This interface returns the schedule and result data of the same season<br/>Request times: 120 times/min<br/><br/>Note: Get the full data of the match interface, this interface does not need to be obtained again","summary":"Schedule and Results - season query","operationId":"getSeasonMatchList","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/QueryMatch"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Match"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"Match":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"unique_tournament_id":{"type":"string","description":"Competition id"},"season_id":{"type":"string","description":"Season id"},"tournament_id":{"type":"string","description":"Compatible field, can be ignored"},"home_team_id":{"type":"string","description":"Home team id"},"away_team_id":{"type":"string","description":"Away team id"},"status_id":{"type":"integer","description":"Match status, please refer to Status code->Match state"},"match_time":{"type":"integer","description":"Match time"},"venue_id":{"type":"string","description":"Venue id"},"neutral":{"type":"integer","description":"Compatible field, can be ignored"},"coverage":{"type":"object","description":"Animation","properties":{"mlive":{"type":"integer","description":"Is there any animation, 1-yes, 0-no"}}},"scores":{"$ref":"#/deps/schemas/Score"},"description":{"type":"string","description":"Description"},"tbd":{"type":"integer","description":"Is the match time to be determined? 1. Yes(if it exists, it will be returned)"},"weather":{"type":"object","description":"Match environment (No data, field does not exist)","properties":{"desc":{"type":"string","description":"Weather description"},"temp":{"type":"integer","description":"Temperature ℃"},"wind":{"type":"integer","description":"Wind speed m/s"},"humidity":{"type":"integer","description":"Humidity %"},"pressure":{"type":"integer","description":"Air pressure mmHg"}}},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"QueryMatch":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type, date query: diary"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"Score":{"type":"object","description":"Score data (May be empty)<br/>ft - Total score<br/>p* - Single inning score(* - Number of inning, 1, 2, 3...)<br/>ot - Overtime score<br/>h - Hit, the total number of hits<br/>e - Error, the number of mistakes made by the entire team on defense","properties":{"ft":{"$ref":"#/deps/schemas/MatchScore"},"p*":{"$ref":"#/deps/schemas/MatchScore"},"ot":{"$ref":"#/deps/schemas/MatchScore"},"h":{"$ref":"#/deps/schemas/MatchScore"},"e":{"$ref":"#/deps/schemas/MatchScore"}}},"MatchScore":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team score | String |\n| `1` | Away team score | String |\n"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/baseball/match-data/schedule-and-results-season-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
